EDParserInternal::State Struct Reference

Internal: the state of a EDParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

bool | m_compressed
| a flag to know if the data are compressed or not More...
int | m_maxPictId
| the maximum of picture to read More...
std::map< int, MWAWEntry > | m_idCPICMap
| a map id -> cPIC zone More...
std::map< int, MWAWEntry > | m_idPICTMap
| a map id -> PICT zone More...
std::vector< Index > | m_indexList
| the index list More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a EDParser.

## Constructor & Destructor Documentation

EDParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int EDParserInternal::State::m_actPage

the actual page

bool EDParserInternal::State::m_compressed

a flag to know if the data are compressed or not

int EDParserInternal::State::m_footerHeight

the footer height if known

int EDParserInternal::State::m_headerHeight

the header height if known

std::map<int,MWAWEntry> EDParserInternal::State::m_idCPICMap

a map id -> cPIC zone

std::map<int,MWAWEntry> EDParserInternal::State::m_idPICTMap

a map id -> PICT zone

std::vector<Index> EDParserInternal::State::m_indexList

the index list

int EDParserInternal::State::m_maxPictId

the maximum of picture to read

int EDParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- EDParser.cxx